Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class ApplicationViewType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.ApplicationViewType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:28:36+01:00",
               comments="JAXB RI v2.3.6")
    public class ApplicationViewType

extends Object
implements Serializable

Generiek type voor het beeld van een aanvraag.

Java class for ApplicationViewType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationViewType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApplicationViewMobilityToolType" minOccurs="0"/>
             <element name="BTC" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApplicationViewBTCType" minOccurs="0"/>
             <element name="SupportAndRepair" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}SupportAndRepairType" minOccurs="0"/>
             <element name="IsSecondWheelchair" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="IsEarlyRenewalMobilityTool" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="HasRecognitionVAPH" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="HasSDA" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="IsProfessionalUse" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="Prescription" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApplicationViewPrescriptionType" minOccurs="0"/>
             <element name="WheelchairAdviceReport" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApplicationViewWheelchairAdviceReportType" minOccurs="0"/>
             <element name="IsAccident" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="DecisionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="MaxDeliveryDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="WarrantAmount" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ApplicationViewType()`

Method Summary
`ApplicationViewBTCType` | `getBTC()` Gets the value of the btc property.
`org.joda.time.DateTime` | `getDecisionDate()` Gets the value of the decisionDate property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`org.joda.time.DateTime` | `getMaxDeliveryDate()` Gets the value of the maxDeliveryDate property.
`ApplicationViewMobilityToolType` | `getMobilityTool()` Gets the value of the mobilityTool property.
`ApplicationViewPrescriptionType` | `getPrescription()` Gets the value of the prescription property.
`SupportAndRepairType` | `getSupportAndRepair()` Gets the value of the supportAndRepair property.
`BigDecimal` | `getWarrantAmount()` Gets the value of the warrantAmount property.
`ApplicationViewWheelchairAdviceReportType` | `getWheelchairAdviceReport()` Gets the value of the wheelchairAdviceReport property.
`Boolean` | `isHasRecognitionVAPH()` Gets the value of the hasRecognitionVAPH property.
`Boolean` | `isHasSDA()` Gets the value of the hasSDA property.
`Boolean` | `isIsAccident()` Gets the value of the isAccident property.
`Boolean` | `isIsEarlyRenewalMobilityTool()` Gets the value of the isEarlyRenewalMobilityTool property.
`Boolean` | `isIsProfessionalUse()` Gets the value of the isProfessionalUse property.
`Boolean` | `isIsSecondWheelchair()` Gets the value of the isSecondWheelchair property.
`void` | `setBTC(ApplicationViewBTCType value)` Sets the value of the btc property.
`void` | `setDecisionDate(org.joda.time.DateTime value)` Sets the value of the decisionDate property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setHasRecognitionVAPH(Boolean value)` Sets the value of the hasRecognitionVAPH property.
`void` | `setHasSDA(Boolean value)` Sets the value of the hasSDA property.
`void` | `setIsAccident(Boolean value)` Sets the value of the isAccident property.
`void` | `setIsEarlyRenewalMobilityTool(Boolean value)` Sets the value of the isEarlyRenewalMobilityTool property.
`void` | `setIsProfessionalUse(Boolean value)` Sets the value of the isProfessionalUse property.
`void` | `setIsSecondWheelchair(Boolean value)` Sets the value of the isSecondWheelchair property.
`void` | `setMaxDeliveryDate(org.joda.time.DateTime value)` Sets the value of the maxDeliveryDate property.
`void` | `setMobilityTool(ApplicationViewMobilityToolType value)` Sets the value of the mobilityTool property.
`void` | `setPrescription(ApplicationViewPrescriptionType value)` Sets the value of the prescription property.
`void` | `setSupportAndRepair(SupportAndRepairType value)` Sets the value of the supportAndRepair property.
`void` | `setWarrantAmount(BigDecimal value)` Sets the value of the warrantAmount property.
`void` | `setWheelchairAdviceReport(ApplicationViewWheelchairAdviceReportType value)` Sets the value of the wheelchairAdviceReport property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationViewType

    public ApplicationViewType()

Method Detail

### getMobilityTool

    public ApplicationViewMobilityToolType getMobilityTool()

  Gets the value of the mobilityTool property.

  Returns:
    possible object is `ApplicationViewMobilityToolType`

### setMobilityTool

    public void setMobilityTool(ApplicationViewMobilityToolType value)

  Sets the value of the mobilityTool property.

  Parameters:
    `value` - allowed object is `ApplicationViewMobilityToolType`

### getBTC

    public ApplicationViewBTCType getBTC()

  Gets the value of the btc property.

  Returns:
    possible object is `ApplicationViewBTCType`

### setBTC

    public void setBTC(ApplicationViewBTCType value)

  Sets the value of the btc property.

  Parameters:
    `value` - allowed object is `ApplicationViewBTCType`

### getSupportAndRepair

    public SupportAndRepairType getSupportAndRepair()

  Gets the value of the supportAndRepair property.

  Returns:
    possible object is `SupportAndRepairType`

### setSupportAndRepair

    public void setSupportAndRepair(SupportAndRepairType value)

  Sets the value of the supportAndRepair property.

  Parameters:
    `value` - allowed object is `SupportAndRepairType`

### isIsSecondWheelchair

    public Boolean isIsSecondWheelchair()

  Gets the value of the isSecondWheelchair property.

  Returns:
    possible object is `Boolean`

### setIsSecondWheelchair

    public void setIsSecondWheelchair(Boolean value)

  Sets the value of the isSecondWheelchair property.

  Parameters:
    `value` - allowed object is `Boolean`

### isIsEarlyRenewalMobilityTool

    public Boolean isIsEarlyRenewalMobilityTool()

  Gets the value of the isEarlyRenewalMobilityTool property.

  Returns:
    possible object is `Boolean`

### setIsEarlyRenewalMobilityTool

    public void setIsEarlyRenewalMobilityTool(Boolean value)

  Sets the value of the isEarlyRenewalMobilityTool property.

  Parameters:
    `value` - allowed object is `Boolean`

### isHasRecognitionVAPH

    public Boolean isHasRecognitionVAPH()

  Gets the value of the hasRecognitionVAPH property.

  Returns:
    possible object is `Boolean`

### setHasRecognitionVAPH

    public void setHasRecognitionVAPH(Boolean value)

  Sets the value of the hasRecognitionVAPH property.

  Parameters:
    `value` - allowed object is `Boolean`

### isHasSDA

    public Boolean isHasSDA()

  Gets the value of the hasSDA property.

  Returns:
    possible object is `Boolean`

### setHasSDA

    public void setHasSDA(Boolean value)

  Sets the value of the hasSDA property.

  Parameters:
    `value` - allowed object is `Boolean`

### isIsProfessionalUse

    public Boolean isIsProfessionalUse()

  Gets the value of the isProfessionalUse property.

  Returns:
    possible object is `Boolean`

### setIsProfessionalUse

    public void setIsProfessionalUse(Boolean value)

  Sets the value of the isProfessionalUse property.

  Parameters:
    `value` - allowed object is `Boolean`

### getPrescription

    public ApplicationViewPrescriptionType getPrescription()

  Gets the value of the prescription property.

  Returns:
    possible object is `ApplicationViewPrescriptionType`

### setPrescription

    public void setPrescription(ApplicationViewPrescriptionType value)

  Sets the value of the prescription property.

  Parameters:
    `value` - allowed object is `ApplicationViewPrescriptionType`

### getWheelchairAdviceReport

    public ApplicationViewWheelchairAdviceReportType getWheelchairAdviceReport()

  Gets the value of the wheelchairAdviceReport property.

  Returns:
    possible object is `ApplicationViewWheelchairAdviceReportType`

### setWheelchairAdviceReport

    public void setWheelchairAdviceReport(ApplicationViewWheelchairAdviceReportType value)

  Sets the value of the wheelchairAdviceReport property.

  Parameters:
    `value` - allowed object is `ApplicationViewWheelchairAdviceReportType`

### isIsAccident

    public Boolean isIsAccident()

  Gets the value of the isAccident property.

  Returns:
    possible object is `Boolean`

### setIsAccident

    public void setIsAccident(Boolean value)

  Sets the value of the isAccident property.

  Parameters:
    `value` - allowed object is `Boolean`

### getDecisionDate

    public org.joda.time.DateTime getDecisionDate()

  Gets the value of the decisionDate property.

  Returns:
    possible object is `String`

### setDecisionDate

    public void setDecisionDate(org.joda.time.DateTime value)

  Sets the value of the decisionDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

### getMaxDeliveryDate

    public org.joda.time.DateTime getMaxDeliveryDate()

  Gets the value of the maxDeliveryDate property.

  Returns:
    possible object is `String`

### setMaxDeliveryDate

    public void setMaxDeliveryDate(org.joda.time.DateTime value)

  Sets the value of the maxDeliveryDate property.

  Parameters:
    `value` - allowed object is `String`

### getWarrantAmount

    public BigDecimal getWarrantAmount()

  Gets the value of the warrantAmount property.

  Returns:
    possible object is `BigDecimal`

### setWarrantAmount

    public void setWarrantAmount(BigDecimal value)

  Sets the value of the warrantAmount property.

  Parameters:
    `value` - allowed object is `BigDecimal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.